Module | Ramaze::Helper::Flash
In: | lib/ramaze/helper/flash.rb

### Methods

flash flashbox

### Included Modules

Innate::Traited

### Public Instance methods

flash()

Return the current value of Current.session.flash

flashbox(tag = ancestral_trait[:flashbox])

Use in your template to display all flash messages that may be stored. For example, given you stored:

      flash # => { :error => 'Pleae enter your name'
                   :info => 'Do you see the fnords?' }

Then a flashbox would display:

      <div class='flash' id='flash_error'>Please enter your name</div>
      <div class='flash' id='flash_info'>Do you see the fnords?</div>

This is designed to be customized permanently or per usage:

      flashbox("<div class='flash_%key'>%value</div>")

Where any occurrence of %key and %value will be replaced by the actual contents of each element of flash

[Validate]